/*
$Id: pkgs_array.h,v 1.1.1.1 2000/11/05 22:14:59 pawelk Exp $
(c) Pawel Kolodziej <pawelk@pld.org.pl>
*/

#ifndef _PKGS_ARRAY_H
#define _PKGS_ARRAY_H

#include "rpmmen.h"
#include <trurl/narray.h>

tn_array * pkgs_array_new();
int pkgs_array_num(const TPkgSet *p);
TPkgInfo * pkgs_array_nth(const TPkgSet *p, int i);

void free_TPkgInfo(void *a);
void * dup_TPkgInfo(void *a);
int cmp_TPkgInfo(const void *aa,const void *bb);
int cmp_to_name_TPkgInfo(const void *aa, const void *b);


#endif
