#include "mopcapi.h"
#include "ui_dml.h"
#include "cfile.h"
#include "dmlwrapper.h"
#include "grade.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void doSelectMachine()
{
	char **machines;
	int *id,count, machineNo=-1;
	char *name;
	char buf[1000];

	if(getMopMachine()!=NULL)
		return setMachine(getMopMachine());
			
	machines = getMachines(&count, &id);
	if(count>0){
		machineNo = dmlSelectMachine(machines, count);
	}
	if(machineNo>=0){
		sprintf(buf,"mop_machine=%s",machines[machineNo]);
		addConfig(buf);
		setMachine(machines[machineNo]);
		return;
	}
	/* nowa machina */
	name = dmlNewMachine();
	sprintf(buf,"mop_machine=%s",name);
	addConfig(buf);
	addMachine(name);	
}

/* ret: >0  ok
 *      0 failed
 */
int doLogin()
{
	int rc;
	char email[100],pass[1000];
	email[0]=pass[0]=0;
	if(! (getMopEmail() || dmlGetLogin(email,pass) )){
		char name[100],em[100],nn[100],ps[100];
		char buf[1000];
		int expLevel=0,uid;
		FILE *f;

		dmlGetLoginInfo(name,nn,em,ps);
		uid=login(0,name,nn,em,expLevel,ps);
		if(uid==0){
			runDml("Niestety w systeie istnieje juz uzytkownik o podanym przez ciebie<br>nicku. Musisz sobie wybrac inny<br><button>");
			exit(1);
		}
		sprintf(buf,"mop_email=%s\nmop_pass=%s\n",em,ps);
		addConfig(buf);	
		sprintf(buf,"Twoj mop_email oraz mop_pass<br> zostaly wpisane do pliku konfiguracyjnego<br><button>");
		runDml(buf);
		rc=uid;
	}else {
		if(!strlen(email)){
			if (!getMopPass()){
				setMopPass(dmlGetPassword(getMopEmail()));
			}
			rc=login(getMopEmail(),NULL,NULL,NULL,0,getMopPass());
		}else{
			rc=login(email,NULL,NULL,NULL,0,pass);
			if(rc){
				char buf[2000];
				setMopPass(pass);
				setMopEmail(email);		
				sprintf(buf,"mop_email=%s\nmop_pass=%s\n",email,pass);
				addConfig(buf);	
				sprintf(buf,"Twoj mop_email oraz mop_pass<br> zostaly wpisane do pliku konfiguracyjnego<br><button>");
				runDml(buf);
			}
		}
	}
	if(rc == 0){
		runDml("Nieudalo sie zalogowac<br>Prawdopodobnie podales zly email lub haslo<br>Sprawdz to i sprobuj jeszcze raz<br><button>");
		return 0;
	}
	doSelectMachine();
	return rc;
}


/* vim:set ts=4 sw=4:*/
